# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# C:\b\abs_f47gnfqnx0\clone\recipe, last modified Fri Apr 19 19:33:39 2024
# ------------------------------------------------

package:
  name: fonttools
  version: 4.51.0
source:
  fn: fonttools-4.51.0.tar.gz
  sha256: 85aa9cdf030dd82f28ca584a8814de265150b46bfc65067343a631773efa885a
  url: https://github.com/fonttools/fonttools/archive/4.51.0.tar.gz
build:
  entry_points:
    - fonttools = fontTools.__main__:main
    - pyftmerge = fontTools.merge:main
    - pyftsubset = fontTools.subset:main
    - ttx = fontTools.ttx:main
  number: '0'
  script: C:\\b\\abs_f47gnfqnx0\\croot\\fonttools_1713551644747\\_h_env\\python.exe
    -m pip install . -vv --no-deps --no-build-isolation
  script_env:
    - FONTTOOLS_WITH_CYTHON=1
  string: py312h2bbff1b_0
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - bzip2 1.0.8 h2bbff1b_5
    - ca-certificates 2024.3.11 haa95532_0
    - cython 3.0.10 py312h2bbff1b_0
    - expat 2.6.2 hd77b12b_0
    - libffi 3.4.4 hd77b12b_0
    - openssl 3.0.13 h2bbff1b_0
    - pip 23.3.1 py312haa95532_0
    - python 3.12.2 h1d929f7_0
    - setuptools 68.2.2 py312haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2024a h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.41.2 py312haa95532_0
    - xz 5.4.6 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
  run:
    - brotli >=1.0.1
    - python >=3.12,<3.13.0a0
    - unicodedata2 >=15.1.0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
  run_constrained:
    - fs >=2.2.0,<3
    - lxml >=4.0
    - lz4 >=1.7.4.2
    - skia-pathops >=0.5.0
    - uharfbuzz >=0.23.0
    - zopfli >=0.1.4
test:
  commands:
    - pip check
    - fonttools subset --help
    - ttx -h
    - pyftsubset --help
    - echo $FONTTOOLS_WITH_CYTHON
    - python -c "from fontTools.cu2qu.cu2qu import COMPILED; assert COMPILED"
  imports:
    - fontTools
    - fontTools.ttLib
  requires:
    - pip
about:
  description: 'fontTools is a library for manipulating fonts, written in Python.
    The

    project includes the TTX tool, that can convert TrueType and OpenType

    fonts to and from an XML text format, which is also called TTX. It

    supports TrueType, OpenType, AFM and to an extent Type 1 and some

    Mac-specific formats. The project has a BSD-style open-source licence.

    '
  dev_url: https://github.com/fonttools/fonttools
  doc_url: https://fonttools.readthedocs.io/
  home: https://github.com/fonttools/fonttools
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: fontTools is a library for manipulating fonts, written in Python.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: f448a479-ae32-4804-8b97-a42298ccf20b
  recipe-maintainers:
    - CJ-Wright
  remote_url: git@github.com:AnacondaRecipes/fonttools-feedstock.git
  sha: ee2c19f0f186ac42fde9c089d18f718013b3a417
